using System.ComponentModel;

namespace RB_MES_APICore.Models.Request
{
    /// <summary>
    /// 对照返回实体
    /// </summary>
    public class ERPMESMOXComparison
    {
        [DisplayName("ERP工单编码")]
        public string ERP_MO { get; set; } = string.Empty;
        [DisplayName("成品编码")]
        public string PROD_ID { get; set; } = string.Empty;
        [DisplayName("工单状态")]
        public string FDOCUMENTSTATUS { get; set; } = string.Empty;

        [DisplayName("工单类型")]
        public string MO_TYPE { get; set; } = string.Empty;

        [DisplayName("内部订单号")]
        public string ORDER_ID { get; set; } = string.Empty;

        [DisplayName("ERP工单行号")]
        public string ERP_MO_LINE { get; set; } = string.Empty;

        [DisplayName("ERP物料编码")]
        public string MATERIAL_NUMBER { get; set; } = string.Empty;

        [DisplayName("ERP物料名称")]
        public string MATERIAL_NAME { get; set; } = string.Empty;

        [DisplayName("下单日期")]
        public string CONVEYDATE { get; set; } = string.Empty;
    }
}
